Kernel bug in eventpoll_release_file+0x46/0xa0 with 3.13.0-66.107

Bug #1503655 reported by Stefan Bader on 2015-10-07
252
This bug affects 77 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned
Trusty
Undecided
Unassigned
Vivid
Undecided
Unassigned
Wily
High
Unassigned
linux-lts-utopic (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
Vivid
Undecided
Unassigned
Wily
Undecided
Unassigned

Bug Description

With the latest kernel in trusty-proposed I seem to get panics on my X230 laptop:

BUG: unable to handle kernel paging request at fffffffffffffff8
IP: [<ffffffff81207176>] eventpoll_release_file+0x46/0xa0
PGD 1c11067 PUD 1c13067 PMD 0
Oops: 0000 [#1] SMP
Modules linked in: snd_hrtimer ip6table_filter ip6_tables ebtable_nat ebt
CPU: 1 PID: 1939 Comm: pulseaudio Not tainted 3.13.0-66-generic #107-Ubun
Hardware name: LENOVO 2324CTO/2324CTO, BIOS G2ET94WW (2.54 ) 04/30/2013
task: ffff8800c2068000 ti: ffff8800c4826000 task.ti: ffff8800c4826000
RIP: 0010:[<ffffffff81207176>] [<ffffffff81207176>] eventpoll_release_fi
RSP: 0018:ffff8800c4827e78 EFLAGS: 00010286
RAX: 0000000000000000 RBX: ffffffffffffffb7 RCX: 000000000000000f
RDX: 0000000001000000 RSI: 0000000000000000 RDI: ffffffff81c72e80
RBP: ffff8800c4827ea0 R08: 0000000000000000 R09: 0000000000040000
R10: ffff880210471e61 R11: 0000000000000206 R12: ffffffffffffffa8
R13: ffff880210471e61 R14: ffff8800c4bc6c00 R15: ffff8800c4acc8f0
FS: 00007f3dbedd6740(0000) GS:ffff88021e240000(0000) knlGS:0000000000000
CS: 0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: fffffffffffffff8 CR3: 00000000ce1da000 CR4: 00000000001407e0
Stack:
ffff8800c4acc840 0000000000000008 ffff880210471e61 ffff8800c4bc6c00
ffff8800c4afdc00 ffff8800c4827ee8 ffffffff811c00aa 0000000000000000
ffff8800c2068000 0000000000000000 ffffffff81ebb680 ffff8800c2068620
Call Trace:
[<ffffffff811c00aa>] __fput+0x24a/0x260
[<ffffffff811c010e>] ____fput+0xe/0x10
[<ffffffff81088557>] task_work_run+0xa7/0xe0
[<ffffffff81013ed7>] do_notify_resume+0x97/0xb0
[<ffffffff81734f5a>] int_signal+0x12/0x17
Code: 00 41 56 41 55 41 54 53 e8 68 37 52 00 49 8b 07 48 8b 08 49 39 c7 4
RIP [<ffffffff81207176>] eventpoll_release_file+0x46/0xa0
RSP <ffff8800c4827e78>
CR2: fffffffffffffff8
---[ end trace f2ee3b43ddaf4bd4 ]---

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1503655

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: trusty
Stefan Bader (smb) on 2015-10-07
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
hybriszero (hybris0) wrote :

For some reason, i was unable to login at all (lightdm AND shell) with this kernel.

With normal user, Lightdm got stuck in checking the password until i pressed ESC.
Guest session was giving error about being unable to start the session
Shell login got stuck for a minute checking password and then asked the username again.

I had to revert to the previous kernel 3.13.0-65.106 to be able to login again.
I also can find the same trace in my logs.

Stefan Bader (smb) wrote :

I am not sure this really is related but the last messages before the BUG from my syslog are:

Oct 7 12:30:50 bartrax ModemManager[1018]: <warn> Couldn't find support for de
vice at '/sys/devices/pci0000:00/0000:00:19.0': not supported by any plugin
Oct 7 12:30:50 bartrax ModemManager[1018]: <warn> Couldn't find support for de
vice at '/sys/devices/pci0000:00/0000:00:1c.1/0000:03:00.0': not supported by an
y plugin
Oct 7 12:30:50 bartrax avahi-daemon[930]: Joining mDNS multicast group on inter
face lxcbr0.IPv6 with address fe80::8c0b:50ff:fef0:2b20.
Oct 7 12:30:50 bartrax avahi-daemon[930]: New relevant interface lxcbr0.IPv6 fo
r mDNS.
Oct 7 12:30:50 bartrax avahi-daemon[930]: Registering new address record for fe
80::8c0b:50ff:fef0:2b20 on lxcbr0.*.

And right after the BUG:

Oct 7 12:30:50 bartrax NetworkManager[1067]: SCPlugin-Ifupdown: devices added (path: /sys/devices/virtual/net/virbr1, iface: virbr1)
Oct 7 12:30:50 bartrax NetworkManager[1067]: SCPlugin-Ifupdown: device added (path: /sys/devices/virtual/net/virbr1, iface: virbr1): no ifupdown configuration found.
Oct 7 12:30:50 bartrax NetworkManager[1067]: <warn> failed to allocate link cache: (-12) Object not found
Oct 7 12:30:50 bartrax NetworkManager[1067]: <info> (virbr1): ignoring bridge not created by NetworkManager
Oct 7 12:30:50 bartrax NetworkManager[1067]: SCPlugin-Ifupdown: devices added (path: /sys/devices/virtual/net/virbr1-nic, iface: virbr1-nic)

Stefan Bader (smb) wrote :

At least the "link cache" error is also there with the previous kernel which works, so rather unrelated.

Andy Whitcroft (apw) wrote :

Ok this seems to be related to a bad backport/forward port of an aufs3 fix.

Luis Henriques (henrix) on 2015-10-07
Changed in linux-lts-utopic (Ubuntu Wily):
status: New → Invalid
Changed in linux-lts-utopic (Ubuntu Vivid):
status: New → Invalid
Luis Henriques (henrix) on 2015-10-07
Changed in linux (Ubuntu Vivid):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux (Ubuntu Trusty):
status: New → Confirmed
Changed in linux-lts-utopic (Ubuntu Trusty):
status: New → Confirmed
Luis Henriques (henrix) on 2015-10-07
Changed in linux (Ubuntu Trusty):
status: Confirmed → Fix Committed
Luis Henriques (henrix) on 2015-10-07
Changed in linux-lts-utopic (Ubuntu Trusty):
status: Confirmed → Fix Committed

The kernel update that was issued today -- 3.13.0-66 -- killed my computer. Fortunately I was able to go back to the prior one -- 3.13.0-65. When restarting after the install and just after logging in, a system error box came up, but all I could do was a hard shutdown. After two times, I reverted to the prior kernel with no problems.

Gunnar Hjalmarsson (gunnarhj) wrote :

A thought:

A consequence of this buggy kernel upload is that many 'non-expert users' now have seemingly useless systems, and are unable to resolve the problem themselves. Take bug #1503787 as an example of what I'm talking about.

Is there any suitable tutorial for this type of issue to which they can be pointed? If not, I think it would be an important goodwill gesture to write something up.

Thomas M Steenholdt (tmus) wrote :

I'm having this issue on Wily today - Occurs on Wily kernel 4.2.0-15 but not on 4.2.0-14 for me.

Bug #1503738 mentions this bug # as a duplicate, but while it probably is the exact same issue, it's on a very different kernel/distro version for me. Please let me know if the fix is automatically handled across all supported Ubuntu kernels, or if I need to submit info to the other bug..

Thanks

Gunnar Hjalmarsson (gunnarhj) wrote :

@Thomas: I think it's handled for wily as well. See this IRC conversation:

http://irclogs.ubuntu.com/2015/10/07/%23ubuntu-kernel.html#t15:36

Gunnar Hjalmarsson (gunnarhj) wrote :

These are two related Ask Ubuntu questions:

http://askubuntu.com/q/682589

http://askubuntu.com/q/682682

JBF (jbf-faure) wrote :

Gunnar said: A consequence of this buggy kernel upload is that many 'non-expert users' now have seemingly useless systems, and are unable to resolve the problem themselves.

Please note that non expert users should not activate proposed repository.

I am having the same problem with Vivid (15.04) and kernel 3.19.0.31. Starting on the previous kernel (3.19.0.30) fixed temporarily the problem.

Best regards. JBF

galen (galen-technomage) wrote :

Problem solved for me with the last kernel version ( 4.2.0-18 ) in wily 64bits.

zasran (erik-zasran) wrote :
Download full text (4.0 KiB)

Not 100% sure it's the same problem, my dmesg looks like this:

[ 68.951259] BUG: unable to handle kernel paging request at ffffebe000000000
[ 68.951264] IP: [<ffffffff811d5f59>] kmem_cache_free+0x69/0x200
[ 68.951270] PGD 0
[ 68.951272] Oops: 0000 [#1] SMP
[ 68.951274] Modules linked in: xt_CHECKSUM iptable_mangle ipt_MASQUERADE nf_nat_masquerade_ipv4 iptable_nat nf_nat_ipv4 nf_nat ipt_REJECT nf_reject_ipv4 ebtable_filter ebtables binfmt_misc rfcomm bnep bridge stp llc ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_tcpudp xt_recent xt_conntrack nf_conntrack iptable_filter ip_tables x_tables uas usb_storage snd_hda_codec_hdmi nvidia(POE) intel_rapl iosf_mbi x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel arc4 rtl8821ae snd_hda_codec_realtek kvm snd_hda_codec_generic snd_soc_rt5640 btcoexist snd_soc_rl6231 crct10dif_pclmul snd_soc_core snd_hda_intel rtl_pci crc32_pclmul snd_hda_controller joydev ghash_clmulni_intel rtlwifi aesni_intel snd_hda_codec snd_compress mac80211 snd_hwdep snd_pcm_dmaengine aes_x86_64 snd_pcm lrw gf128mul
[ 68.951302] snd_seq_midi glue_helper snd_seq_midi_event ablk_helper snd_rawmidi cfg80211 cryptd btusb snd_seq bluetooth hid_logitech_hidpp snd_seq_device snd_timer drm snd i2c_hid mei_me soundcore shpchp mei ie31200_edac lpc_ich edac_core dw_dmac i2c_designware_platform snd_soc_sst_acpi dw_dmac_core 8250_dw spi_pxa2xx_platform video i2c_designware_core mac_hid parport_pc ppdev lp parport autofs4 hid_logitech_dj usbhid hid raid10 raid456 async_raid6_recov async_memcpy async_pq async_xor async_tx xor raid6_pq ahci r8169 libahci raid1 mii raid0 multipath linear sdhci_acpi sdhci
[ 68.951328] CPU: 2 PID: 2451 Comm: pulseaudio Tainted: P OE 3.19.0-31-generic #35-Ubuntu
[ 68.951330] Hardware name: GIGABYTE GB-BXi7G3-760/M4HM8BP-00, BIOS F1 08/12/2014
[ 68.951331] task: ffff880211bbc4b0 ti: ffff8801de474000 task.ti: ffff8801de474000
[ 68.951333] RIP: 0010:[<ffffffff811d5f59>] [<ffffffff811d5f59>] kmem_cache_free+0x69/0x200
[ 68.951336] RSP: 0018:ffff8801de477dd8 EFLAGS: 00010286
[ 68.951337] RAX: 000001e000000000 RBX: 0000000000000000 RCX: 00007f46dbffd000
[ 68.951338] RDX: 000077ff80000000 RSI: 0000000000000000 RDI: ffff88021508c400
[ 68.951339] RBP: ffff8801de477df8 R08: 0000000000000000 R09: ffffffff8123b4f2
[ 68.951340] R10: ffff8801e379fda1 R11: ffffebe000000000 R12: ffff88021508c400
[ 68.951341] R13: ffff8801e379fb28 R14: 0000000000000000 R15: ffff8801f4514558
[ 68.951342] FS: 00007f46ee478780(0000) GS:ffff88021dc80000(0000) knlGS:0000000000000000
[ 68.951343] CS: 0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[ 68.951344] CR2: ffffebe000000000 CR3: 00000001e07e3000 CR4: 00000000001407e0
[ 68.951346] Stack:
[ 68.951346] 0000000000000000 0000000000000000 ffff8801e379fae8 ffff8801e379fb28
[ 68.951348] ffff8801de477e28 ffffffff8123b4f2 0000000000000008 ffff8801e379fae8
[ 68.951350] 0000000000000000 0000000000000005 ffff8801de477e58 ffffffff8123b534
[ 68.951352] Call Trace:
[ 68.951357] [<ffffffff8123b4f2>] ep_unregister_pollwait.isra.7+0x72/0x90
[ 68.951359] [<ffffffff8123b534>] ep_remove+0x24/0xd0
[ 68.951361] [<ffffffff81...

Read more...

Heineken (lars-heineken) wrote :

@zasran: Download and Install these to see if it's fixed. If it works, then it's the same bug:

People running Trusty (3.13 kernel) can try: http://people.canonical.com/~henrix/lp1503655/t/amd64/
People running Vivid (3.19 kernel) can try: http://people.canonical.com/~henrix/lp1503655/v/amd64/

Gunnar Hjalmarsson (gunnarhj) wrote :

On 2015-10-08 07:08, JBF wrote:
> Gunnar said: A consequence of this buggy kernel upload is that many
> 'non-expert users' now have seemingly useless systems, and are unable
> to resolve the problem themselves.
>
> Please note that non expert users should not activate proposed
> repository.

The latter is indeed true. But (1) all users don't know that, and (2) people do not always do as they are recommended.

So yes, it's true in a sense that those affected have themselves to blame. But IMO that's not a reason to belittle the significance of the incident. Quite a few users out there are stuck because they used Update Manager to keep their systems up to date.

MikeR (mike-rechtman) wrote :

in reply to #13:
I am running Trusty on a no-name desktop. This morning kernel 3.13.0-66-generic appeared on the list of updates.
I have *not* activated any "proposed" or non-standard repository.
As I am a fair-to-middling level user I managed to boot to a previous version of the kernel, and removed the faulty version.
Checking a few hours later 3.13.0-66-generic no longer appears as an update. Hopefully it has been recalled until a fix is made available.

mirak011 (mirak) wrote :

I have the same problem with all these kernel 3.19.0-31, 3.16.0-51 and 3.13.0-66, previous versions till 3.19.0-30, 3.16.0-50 and 3.13.0-65 are working OK. (Ubuntu 14.04.3 x86_64)

Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-trusty' to 'verification-done-trusty'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-trusty verification-needed-vivid
Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-vivid' to 'verification-done-vivid'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

Luis Henriques (henrix) wrote :

Note: the HWE kernels lts-vivid or lts-precise will still take a few more hours before being available in -proposed.

cement_head (andor-udel) wrote :

Yep, "me too" using 12.04.5 LTS AMD64 on with Trusty Kernel on DELL e6420 laptop. Cannot boot - GUI hangs after login with spinning circle cursor.

Regards,
Cement

Gunnar Hjalmarsson (gunnarhj) wrote :

I have successfully installed and run these kernels:
- version 3.13.0-66.108 from trusty-proposed (on Ubuntu 14.04 64bits)
- version 3.19.0-31.36 from vivid-proposed (on Ubuntu 15.04 32bits)

tags: added: verification-done-trusty verification-done-vivid
removed: verification-needed-trusty verification-needed-vivid
JBF (jbf-faure) wrote :

I just updated to version 3.19.0-31.36 from vivid-proposed (on Ubuntu 15.04 64 bits) and the problem in the previous version is gone.

Thank you very much for the quick fix.

Best regards. JBF

Wolf Rogner (war-rsb) wrote :

First, congratulation for this quick fix.

Second, sadly enough, VPN connections - which seemed to be working with the broken kernel - do not work any more. Another issue, I know but I was hoping :-)

Works on my machines.

mirak011 (mirak) wrote :

I have successfully updated kernels to 3.13.0-31.36 and 3.16.0-51.69 from trusty-proposed on Ubuntu 14.04.3 (64 bits) and it works flawlessly, truly awesome! However kernel 3.19.0-31.36 is not available from trusty-proposed on Ubuntu 14.04.3 (64 bits).

mirak011 (mirak) wrote :

Typo - it should have been - 3.13.0-66.108

Yvon TANGUY (vono22) wrote :

The kernel 3.19.0-31.36~14.04.1 also fix this bug for me.
Thanks

mirak011 (mirak) wrote :

 Kernel 3.19.0-31.36 is now available from trusty-proposed on Ubuntu 14.04.3 (64 bits) and it works. Well done, thank you!

This bug bit me also. Quite a rarity, I'd say.

3.19.0-31.35 low latency kernel from vivid-proposed.

Agreed that caveat emptor because of enabling proposed repo. But I think this hang on log in may be a first? I was perplexed at first until I realised it must have been a bad kernel. Pressed ESC frantically on boot and selected previous kernel.

I have a hunch that some users may enable proposed repo without knowing how to deal with the possible consequences.

Changed in linux (Ubuntu Wily):
importance: Undecided → High
Changed in linux (Ubuntu Wily):
status: Confirmed → Triaged
Launchpad Janitor (janitor) wrote :
Download full text (5.6 KiB)

This bug was fixed in the package linux - 3.13.0-66.108

---------------
linux (3.13.0-66.108) trusty; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1503713

  [ Andy Whitcroft ]

  * Revert "SAUCE: aufs3: mmap: Fix races in madvise_remove() and
    sys_msync()"
    - LP: #1503655

  [ Ben Hutchings ]

  * SAUCE: aufs3: mmap: Fix races in madvise_remove() and sys_msync()
    - LP: #1503655
    - CVE-2015-7312

linux (3.13.0-66.107) trusty; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1503021

  [ Ben Hutchings ]

  * SAUCE: aufs3: mmap: Fix races in madvise_remove() and sys_msync()
    - CVE-2015-7312

  [ John Johansen ]

  * SAUCE: (no-up) apparmor: fix mount not handling disconnected paths
    - LP: #1496430

  [ Upstream Kernel Changes ]

  * mmc: sdhci-pci: set the clear transfer mode register quirk for O2Micro
    - LP: #1472843
  * mmc: sdhci: Add a quirk for AMD SDHC transfer mode register need to be
    cleared for cmd without data
    - LP: #1472843
  * n_tty: Fix poll() when TIME_CHAR and MIN_CHAR == 0
    - LP: #1397976
  * net: make skb_gso_segment error handling more robust
    - LP: #1497048
  * net: gso: use feature flag argument in all protocol gso handlers
    - LP: #1497048
  * md/raid10: always set reshape_safe when initializing reshape_position.
    - LP: #1500810
  * md: flush ->event_work before stopping array.
    - LP: #1500810
  * ipv6: addrconf: validate new MTU before applying it
    - LP: #1500810
  * virtio-net: drop NETIF_F_FRAGLIST
    - LP: #1500810
  * RDS: verify the underlying transport exists before creating a
    connection
    - LP: #1500810
  * xen/gntdev: convert priv->lock to a mutex
    - LP: #1500810
  * xen/gntdevt: Fix race condition in gntdev_release()
    - LP: #1500810
  * PCI: Restore PCI_MSIX_FLAGS_BIRMASK definition
    - LP: #1500810
  * nfsd: Drop BUG_ON and ignore SECLABEL on absent filesystem
    - LP: #1500810
  * crypto: ixp4xx - Remove bogus BUG_ON on scattered dst buffer
    - LP: #1500810
  * xen-blkfront: don't add indirect pages to list when !feature_persistent
    - LP: #1500810
  * xen-blkback: replace work_pending with work_busy in
    purge_persistent_gnt()
    - LP: #1500810
  * USB: sierra: add 1199:68AB device ID
    - LP: #1500810
  * regmap: regcache-rbtree: Clean new present bits on present bitmap
    resize
    - LP: #1500810
  * target/iscsi: Fix double free of a TUR followed by a solicited NOPOUT
    - LP: #1500810
  * rbd: fix copyup completion race
    - LP: #1500810
  * md/raid1: extend spinlock to protect raid1_end_read_request against
    inconsistencies
    - LP: #1500810
  * target: REPORT LUNS should return LUN 0 even for dynamic ACLs
    - LP: #1500810
  * MIPS: Fix sched_getaffinity with MT FPAFF enabled
    - LP: #1500810
  * xhci: fix off by one error in TRB DMA address boundary check
    - LP: #1500810
  * perf: Fix fasync handling on inherited events
    - LP: #1500810
  * mm, vmscan: Do not wait for page writeback for GFP_NOFS allocations
    - LP: #1500810
  * MIPS: Make set_pte() SMP safe.
    - LP: #1500810
  * ipc: modify message queue accounting to not take kernel data structures
    into account
    - ...

Read more...

Changed in linux (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (11.2 KiB)

This bug was fixed in the package linux-lts-utopic - 3.16.0-51.69~14.04.1

---------------
linux-lts-utopic (3.16.0-51.69~14.04.1) trusty; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1503717

  [ Andy Whitcroft ]

  * Revert "SAUCE: aufs3: mmap: Fix races in madvise_remove() and
    sys_msync()"
    - LP: #1503655

  [ Ben Hutchings ]

  * SAUCE: aufs3: mmap: Fix races in madvise_remove() and sys_msync()
    - LP: #1503655
    - CVE-2015-7312

linux-lts-utopic (3.16.0-51.68~14.04.1) trusty; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1503239

  [ Ben Hutchings ]

  * SAUCE: aufs3: mmap: Fix races in madvise_remove() and sys_msync()
    - CVE-2015-7312

  [ John Johansen ]

  * SAUCE: (no-up) apparmor: fix mount not handling disconnected paths
    - LP: #1496430

  [ Leann Ogasawara ]

  * [Config] d-i -- Add sfc to nic-modules udeb
    - LP: #1481490

  [ Upstream Kernel Changes ]

  * mmc: sdhci-pci: set the clear transfer mode register quirk for O2Micro
    - LP: #1472843
  * mmc: sdhci: Add a quirk for AMD SDHC transfer mode register need to be
    cleared for cmd without data
    - LP: #1472843
  * md: use kzalloc() when bitmap is disabled
    - LP: #1500484
  * sparc64: Fix userspace FPU register corruptions.
    - LP: #1500484
  * ARM: OMAP2+: hwmod: Fix _wait_target_ready() for hwmods without sysc
    - LP: #1500484
  * ASoC: pcm1681: Fix setting de-emphasis sampling rate selection
    - LP: #1500484
  * iscsi-target: Fix use-after-free during TPG session shutdown
    - LP: #1500484
  * iscsi-target: Fix iscsit_start_kthreads failure OOPs
    - LP: #1500484
  * iscsi-target: Fix iser explicit logout TX kthread leak
    - LP: #1500484
  * ARM: dts: i.MX35: Fix can support.
    - LP: #1500484
  * ALSA: hda - Apply fixup for another Toshiba Satellite S50D
    - LP: #1500484
  * vhost: actually track log eventfd file
    - LP: #1500484
  * arm64/efi: map the entire UEFI vendor string before reading it
    - LP: #1500484
  * xfs: remote attribute headers contain an invalid LSN
    - LP: #1500484
  * xfs: remote attributes need to be considered data
    - LP: #1500484
  * ALSA: hda - Apply a fixup to Dell Vostro 5480
    - LP: #1500484
  * ALSA: usb-audio: add dB range mapping for some devices
    - LP: #1500484
  * drm/i915: Replace WARN inside I915_READ64_2x32 with retry loop
    - LP: #1500484
  * drm/radeon/combios: add some validation of lvds values
    - LP: #1500484
  * x86/efi: Use all 64 bit of efi_memmap in setup_e820()
    - LP: #1500484
  * ipr: Fix locking for unit attention handling
    - LP: #1500484
  * ipr: Fix incorrect trace indexing
    - LP: #1500484
  * ipr: Fix invalid array indexing for HRRQ
    - LP: #1500484
  * ALSA: hda - Fix MacBook Pro 5,2 quirk
    - LP: #1500484
  * x86/xen: Probe target addresses in set_aliased_prot() before the
    hypercall
    - LP: #1500484
  * netfilter: ctnetlink: put back references to master ct and expect
    objects
    - LP: #1500484
  * ipvs: do not use random local source address for tunnels
    - LP: #1500484
  * ipvs: fix crash if scheduler is changed
    - LP: #1500484
  * ipvs: fix crash with sync protocol v0 and FTP
    - ...

Changed in linux-lts-utopic (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (10.5 KiB)

This bug was fixed in the package linux - 3.19.0-31.36

---------------
linux (3.19.0-31.36) vivid; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1503703

  [ Andy Whitcroft ]

  * Revert "SAUCE: aufs3: mmap: Fix races in madvise_remove() and
    sys_msync()"
    - LP: #1503655

  [ Ben Hutchings ]

  * SAUCE: aufs3: mmap: Fix races in madvise_remove() and sys_msync()
    - LP: #1503655
    - CVE-2015-7312

linux (3.19.0-31.35) vivid; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1503005

  [ Ben Hutchings ]

  * SAUCE: aufs3: mmap: Fix races in madvise_remove() and sys_msync()
    - CVE-2015-7312

  [ Craig Magina ]

  * [Config] Add XGENE_EDAC, EDAC_SUPPORT and EDAC_ATOMIC_SCRUB
    - LP: #1494357

  [ John Johansen ]

  * SAUCE: (no-up) apparmor: fix mount not handling disconnected paths
    - LP: #1496430

  [ Laurent Dufour ]

  * SAUCE: powerpc/hvsi: Fix endianness issues in the HVSI driver
    - LP: #1499357

  [ Tim Gardner ]

  * [Config] CONFIG_RTC_DRV_XGENE=y for only arm64
    - LP: #1499869

  [ Upstream Kernel Changes ]

  * Revert "sit: Add gro callbacks to sit_offload"
    - LP: #1500493
  * ipmi/powernv: Fix minor locking bug
    - LP: #1493017
  * mmc: sdhci-pci: set the clear transfer mode register quirk for O2Micro
    - LP: #1472843
  * perf probe ppc: Fix symbol fixup issues due to ELF type
    - LP: #1485528
  * perf probe ppc: Use the right prefix when ignoring SyS symbols on ppc
    - LP: #1485528
  * perf probe ppc: Enable matching against dot symbols automatically
    - LP: #1485528
  * perf probe ppc64le: Fix ppc64 ABIv2 symbol decoding
    - LP: #1485528
  * perf probe ppc64le: Prefer symbol table lookup over DWARF
    - LP: #1485528
  * perf probe ppc64le: Fixup function entry if using kallsyms lookup
    - LP: #1485528
  * perf probe: Improve detection of file/function name in the probe
    pattern
    - LP: #1485528
  * perf probe: Ignore tail calls to probed functions
    - LP: #1485528
  * seccomp: cap SECCOMP_RET_ERRNO data to MAX_ERRNO
    - LP: #1496073
  * EDAC: Cleanup atomic_scrub mess
    - LP: #1494357
  * arm64: Enable EDAC on ARM64
    - LP: #1494357
  * MAINTAINERS: Add entry for APM X-Gene SoC EDAC driver
    - LP: #1494357
  * Documentation: Add documentation for the APM X-Gene SoC EDAC DTS
    binding
    - LP: #1494357
  * EDAC: Add APM X-Gene SoC EDAC driver
    - LP: #1494357
  * arm64: Add APM X-Gene SoC EDAC DTS entries
    - LP: #1494357
  * EDAC, edac_stub: Drop arch-specific include
    - LP: #1494357
  * NVMe: Fix blk-mq hot cpu notification
    - LP: #1498778
  * blk-mq: Shared tag enhancements
    - LP: #1498778
  * blk-mq: avoid access hctx->tags->cpumask before allocation
    - LP: #1498778
  * x86/ldt: Make modify_ldt synchronous
    - LP: #1500493
  * x86/ldt: Correct LDT access in single stepping logic
    - LP: #1500493
  * x86/ldt: Correct FPU emulation access to LDT
    - LP: #1500493
  * md: flush ->event_work before stopping array.
    - LP: #1500493
  * ipv6: addrconf: validate new MTU before applying it
    - LP: #1500493
  * virtio-net: drop NETIF_F_FRAGLIST
    - LP: #1500493
  * RDS: verify the underlying transport exists bef...

Changed in linux (Ubuntu Vivid):
status: Fix Committed → Fix Released
Tommy_CZ (t-kijas) wrote :

3.19.0.31.18 the bug is here... How possibly could this arrive in regular updates??

Stefan Bader (smb) wrote :

@Tommy_CZ, Not sure what version number exactly you are looking at. Usually versions that only have "." in them might be the linux meta package. The bug was fixed by refreshing the linux-image binary package but without incrementing the ABI number. That way the linux meta package will not get updated but the binary should be replaced. As the automatic update previously stated the binary package would need to be 3.19.0-31.36 (note "-" before the abi number).

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions